Subject: Re: [PATCH net-next 1/3] psp: add crypt-offset and spi-threshold get/set attributes

From: Willem de Bruijn <[email-masked]>
Date: Sat, 11 Apr 2026 02:11:03 -0400

Jakub Kicinski wrote:
> On Sat, 11 Apr 2026 01:06:06 +0530 Akhilesh Samineni wrote:
> > On Wed, Apr 8, 2026 at 6:34 AM Jakub Kicinski <[email-masked]> wrote:
> > > On Tue, 07 Apr 2026 17:37:41 -0400 Willem de Bruijn wrote:  
> > > > PSP defines a 6-bit field in 4 octet units. Does this need bounds checking?  
> > >
> > > More fundamentally, were we to support this -- is it a device property
> > > or an assoc property?  
> > 
> > It's a device property. All associations under the device will share
> > the same crypt-offset.
> 
> I don't think there's anything in the spec that says the crypto
> offset is device level.
> At the very least every L4 proto may want to have a different offset.
> We should probably hold off adding this until a real user appears.

On how it is configured, the spec says "The crypt offset can be
specified by the transmit descriptor or by configuration".

So some devices might indeed selectively set it per-packet, e.g.,
for specific protocols.

One real use case is network telemetry, exposing the inner transport
protocol ports. For that to be useful it would have to be enabled on
most if not all packets.